# turaevviro

## Name

turaevviro — A single Turaev-Viro invariant for a triangulation

## Synopsis

Content Model

    turaevviro ::=

Attributes
Name | Type
`r` | NUMBER (required)
`root` | NUMBER (required)
`value` | NUMBER (required)

## Description

A `turaevviro` element stores a single calculated Turaev-Viro invariant for a triangulation.

Each Turaev-Viro invariant corresponds to a particular set of initial data, as described in the paper of Turaev and Viro in which these invariants appear (Turaev & Viro, State sum invariants of 3-manifolds and quantum 6j-symbols, Topology 31:4 (1992), pp. 865–902). In particular, Section 7 of this paper describes the initial data as determined by an integer `r` >= 3 and a root of unity `q`0 of degree 2`r`.

This initial data, as well as the value of the resulting invariant, are stored in the attributes of the `turaevviro` element.

### Parents

The following elements contain `turaevviro`: `packet` (3-manifold triangulation).

### Children

Element `turaevviro` has no children.

## Attributes

`r`

  The integer `r` >= 3 used in the initial data for this invariant.

`root`

  An integer strictly between 0 and 2`r` identifying the particular root of unity used in the initial data for this invariant.

`value`

  The value of this invariant expressed as a real number.